diff --git src/fs/rock/RockSwapDir.cc src/fs/rock/RockSwapDir.cc
index 7fe8944..131588a 100644
--- src/fs/rock/RockSwapDir.cc
+++ src/fs/rock/RockSwapDir.cc
@@ -766,33 +766,32 @@ Rock::SwapDir::statfs(StoreEntry &e) const
 class RockSwapDirRr: public RegisteredRunner
 {
 public:
     /* RegisteredRunner API */
     virtual void run(const RunnerRegistry &);
     virtual ~RockSwapDirRr();
 
 private:
     Vector<Rock::SwapDir::DirMap::Owner *> owners;
 };
 
 RunnerRegistrationEntry(rrAfterConfig, RockSwapDirRr);
 
 
 void RockSwapDirRr::run(const RunnerRegistry &)
 {
     if (IamMasterProcess()) {
         Must(owners.empty());
         for (int i = 0; i < Config.cacheSwap.n_configured; ++i) {
             if (const Rock::SwapDir *const sd = dynamic_cast<Rock::SwapDir *>(INDEXSD(i))) {
-                // TODO: check whether entryLimitAllowed() has map here
                 Rock::SwapDir::DirMap::Owner *const owner = Rock::SwapDir::DirMap::Init(sd->path, sd->entryLimitAllowed());
                 owners.push_back(owner);
             }
         }
     }
 }
 
 RockSwapDirRr::~RockSwapDirRr()
 {
     for (size_t i = 0; i < owners.size(); ++i)
         delete owners[i];
 }

